<?xml version="1.0" encoding="UTF-8"?>
<testsuite name="world.respect.datalayer.repository.opds.OpdsRespectRepositoryIntegrationTest" tests="3" skipped="0" failures="0" errors="0" timestamp="2025-11-16T00:16:22.244Z" hostname="devserver3" time="7.521">
  <properties/>
  <testcase name="givenOpdsFeed_whenLoadOpdsFeed_thenFlowWillLoadIt[jvm]" classname="world.respect.datalayer.repository.opds.OpdsRespectRepositoryIntegrationTest" time="3.368"/>
  <testcase name="givenOpdsFeedLoaded_whenLoadedAgain_thenDataIsLoadedAndNetworkResponseIsNotModified[jvm]" classname="world.respect.datalayer.repository.opds.OpdsRespectRepositoryIntegrationTest" time="2.093"/>
  <testcase name="givenOpdsPublication_whenLoadedThenWillEmitFlow[jvm]" classname="world.respect.datalayer.repository.opds.OpdsRespectRepositoryIntegrationTest" time="2.055"/>
  <system-out><![CDATA[port = 40769
01:16:22,282 |-INFO in ch.qos.logback.classic.LoggerContext[default] - This is logback-classic version 1.5.18
01:16:22,283 |-INFO in ch.qos.logback.classic.util.ContextInitializer@112f364d - No custom configurators were discovered as a service.
01:16:22,283 |-INFO in ch.qos.logback.classic.util.ContextInitializer@112f364d - Trying to configure with ch.qos.logback.classic.joran.SerializedModelConfigurator
01:16:22,283 |-INFO in ch.qos.logback.classic.util.ContextInitializer@112f364d - Constructed configurator of type class ch.qos.logback.classic.joran.SerializedModelConfigurator
01:16:22,285 |-INFO in ch.qos.logback.classic.LoggerContext[default] - Could NOT find resource [logback-test.scmo]
01:16:22,285 |-INFO in ch.qos.logback.classic.LoggerContext[default] - Could NOT find resource [logback.scmo]
01:16:22,291 |-INFO in ch.qos.logback.classic.util.ContextInitializer@112f364d - ch.qos.logback.classic.joran.SerializedModelConfigurator.configure() call lasted 3 milliseconds. ExecutionStatus=INVOKE_NEXT_IF_ANY
01:16:22,291 |-INFO in ch.qos.logback.classic.util.ContextInitializer@112f364d - Trying to configure with ch.qos.logback.classic.util.DefaultJoranConfigurator
01:16:22,292 |-INFO in ch.qos.logback.classic.util.ContextInitializer@112f364d - Constructed configurator of type class ch.qos.logback.classic.util.DefaultJoranConfigurator
01:16:22,292 |-INFO in ch.qos.logback.classic.LoggerContext[default] - Could NOT find resource [logback-test.xml]
01:16:22,294 |-INFO in ch.qos.logback.classic.LoggerContext[default] - Found resource [logback.xml] at [jar:file:/home/jenkins/.jenkins/workspace/Respect-mapping-curriculum/respect-server/build/libs/respect-server-1.0.0.jar!/logback.xml]
01:16:22,294 |-WARN in ch.qos.logback.classic.util.DefaultJoranConfigurator@5ccbeb64 - Resource [logback.xml] occurs multiple times on the classpath.
01:16:22,294 |-WARN in ch.qos.logback.classic.util.DefaultJoranConfigurator@5ccbeb64 - Resource [logback.xml] occurs at [file:/home/jenkins/.jenkins/workspace/Respect-mapping-curriculum/respect-datalayer-repository/build/processedResources/jvm/test/logback.xml]
01:16:22,294 |-WARN in ch.qos.logback.classic.util.DefaultJoranConfigurator@5ccbeb64 - Resource [logback.xml] occurs at [jar:file:/home/jenkins/.jenkins/workspace/Respect-mapping-curriculum/respect-server/build/libs/respect-server-1.0.0.jar!/logback.xml]
01:16:22,297 |-INFO in ConfigurationWatchList(mainURL=jar:file:/home/jenkins/.jenkins/workspace/Respect-mapping-curriculum/respect-server/build/libs/respect-server-1.0.0.jar!/logback.xml, fileWatchList={}, urlWatchList=[}) - URL [jar:file:/home/jenkins/.jenkins/workspace/Respect-mapping-curriculum/respect-server/build/libs/respect-server-1.0.0.jar!/logback.xml] is not of type file
01:16:22,353 |-INFO in ch.qos.logback.core.model.processor.ModelInterpretationContext@6c45ee6e - value "./log/" substituted for "${logs_dir:-./log/}"
01:16:22,354 |-INFO in ch.qos.logback.core.model.processor.AppenderModelHandler - Processing appender named [FILE]
01:16:22,354 |-INFO in ch.qos.logback.core.model.processor.AppenderModelHandler - About to instantiate appender of type [ch.qos.logback.core.rolling.RollingFileAppender]
01:16:22,359 |-INFO in ch.qos.logback.core.model.processor.ModelInterpretationContext@6c45ee6e - value "./log//respect-server.log" substituted for "${LOG_DIR}/respect-server.log"
01:16:22,361 |-INFO in ch.qos.logback.core.model.processor.ModelInterpretationContext@6c45ee6e - value "./log//respect-server.%d{yyyy-MM-dd}.%i.log" substituted for "${LOG_DIR}/respect-server.%d{yyyy-MM-dd}.%i.log"
01:16:22,367 |-INFO in c.q.l.core.rolling.TimeBasedRollingPolicy@1799230133 - No compression will be used
01:16:22,390 |-INFO in c.q.l.core.rolling.TimeBasedRollingPolicy@1799230133 - Will use the pattern ./log//respect-server.%d{yyyy-MM-dd}.%i.log for the active file
01:16:22,390 |-WARN in ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP@5aac4250 - SizeAndTimeBasedFNATP class was renamed as SizeAndTimeBasedFileNamingAndTriggeringPolicy.
01:16:22,392 |-INFO in ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP@5aac4250 - The date pattern is 'yyyy-MM-dd' from file name pattern './log//respect-server.%d{yyyy-MM-dd}.%i.log'.
01:16:22,392 |-INFO in ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP@5aac4250 - Roll-over at midnight.
01:16:22,392 |-INFO in ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP@5aac4250 - Setting initial period to 2025-11-15T00:16:33.822Z
01:16:22,392 |-WARN in ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP@5aac4250 - Direct use of either SizeAndTimeBasedFNATP or SizeAndTimeBasedFileNamingAndTriggeringPolicy 
01:16:22,392 |-WARN in ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP@5aac4250 - is deprecated. Please use SizeAndTimeBasedRollingPolicy instead.
01:16:22,392 |-WARN in ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP@5aac4250 - For more information see https://logback.qos.ch/manual/appenders.html#SizeAndTimeBasedRollingPolicy
01:16:22,395 |-INFO in ch.qos.logback.core.model.processor.ImplicitModelHandler - Assuming default type [ch.qos.logback.classic.encoder.PatternLayoutEncoder] for [encoder] property
01:16:22,426 |-INFO in ch.qos.logback.core.rolling.RollingFileAppender[FILE] - Active log file name: ./log//respect-server.log
01:16:22,428 |-INFO in ch.qos.logback.core.rolling.RollingFileAppender[FILE] - Setting currentFileLength to 40268 for ./log/respect-server.log
01:16:22,428 |-INFO in ch.qos.logback.core.rolling.RollingFileAppender[FILE] - File property is set to [./log//respect-server.log]
01:16:22,429 |-INFO in ch.qos.logback.classic.model.processor.RootLoggerModelHandler - Setting level of ROOT logger to TRACE
01:16:22,431 |-INFO in ch.qos.logback.core.model.processor.AppenderRefModelHandler - Attaching appender named [FILE] to Logger[ROOT]
01:16:22,432 |-INFO in ch.qos.logback.classic.model.processor.LoggerModelHandler - Setting level of logger [org.eclipse.jetty] to INFO
01:16:22,432 |-INFO in ch.qos.logback.classic.model.processor.LoggerModelHandler - Setting level of logger [io.netty] to INFO
01:16:22,432 |-INFO in ch.qos.logback.core.model.processor.DefaultProcessor@1338fb5 - End of configuration.
01:16:22,433 |-INFO in ch.qos.logback.classic.joran.JoranConfigurator@42463763 - Registering current configuration as safe fallback point
01:16:22,433 |-INFO in ch.qos.logback.classic.util.ContextInitializer@112f364d - ch.qos.logback.classic.util.DefaultJoranConfigurator.configure() call lasted 141 milliseconds. ExecutionStatus=DO_NOT_INVOKE_NEXT_IF_ANY

]]></system-out>
  <system-err><![CDATA[]]></system-err>
</testsuite>
